gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.GlyphPositionT

Contents

- Exported types
- Methods
- Properties
  - xAdvance
  - xOffset
  - yAdvance
  - yOffset

Description

The `GlyphPositionT` is the structure that holds the positions of the glyph in both horizontal and vertical directions. All positions in `GlyphPositionT` are relative to the current point.

Synopsis

- newtype GlyphPositionT = GlyphPositionT (ManagedPtr GlyphPositionT)
- newZeroGlyphPositionT :: MonadIO m => m GlyphPositionT
- getGlyphPositionTXAdvance :: MonadIO m => GlyphPositionT -> m Int32
- setGlyphPositionTXAdvance :: MonadIO m => GlyphPositionT -> Int32 -> m ()
- getGlyphPositionTXOffset :: MonadIO m => GlyphPositionT -> m Int32
- setGlyphPositionTXOffset :: MonadIO m => GlyphPositionT -> Int32 -> m ()
- getGlyphPositionTYAdvance :: MonadIO m => GlyphPositionT -> m Int32
- setGlyphPositionTYAdvance :: MonadIO m => GlyphPositionT -> Int32 -> m ()
- getGlyphPositionTYOffset :: MonadIO m => GlyphPositionT -> m Int32
- setGlyphPositionTYOffset :: MonadIO m => GlyphPositionT -> Int32 -> m ()

# Exported types

newtype GlyphPositionT Source #

Memory-managed wrapper type.

Constructors

GlyphPositionT (ManagedPtr GlyphPositionT) |

#### Instances

Instances details

Eq GlyphPositionT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT Methods (==) :: GlyphPositionT -> GlyphPositionT -> Bool Source # (/=) :: GlyphPositionT -> GlyphPositionT -> Bool Source #
GBoxed GlyphPositionT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT
ManagedPtrNewtype GlyphPositionT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT Methods toManagedPtr :: GlyphPositionT -> ManagedPtr GlyphPositionT Source #
TypedObject GlyphPositionT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT Methods glibType :: IO GType Source #
HasParentTypes GlyphPositionT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT
tag ~ 'AttrSet => Constructible GlyphPositionT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT Methods new :: MonadIO m => (ManagedPtr GlyphPositionT -> GlyphPositionT) -> [AttrOp GlyphPositionT tag] -> m GlyphPositionT Source #
IsGValue (Maybe GlyphPositionT) Source # | Convert `GlyphPositionT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe GlyphPositionT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe GlyphPositionT) Source #
type ParentTypes GlyphPositionT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphPositionT type ParentTypes GlyphPositionT = '[] :: [Type]

newZeroGlyphPositionT :: MonadIO m => m GlyphPositionT Source #

Construct a `GlyphPositionT` struct initialized to zero.

# Methods

# Properties

## xAdvance

how much the line advances after drawing this glyph when setting text in horizontal direction.

getGlyphPositionTXAdvance :: MonadIO m => GlyphPositionT -> m Int32 Source #

Get the value of the “`x_advance`” field. When overloading is enabled, this is equivalent to

    get glyphPositionT #xAdvance

setGlyphPositionTXAdvance :: MonadIO m => GlyphPositionT -> Int32 -> m () Source #

Set the value of the “`x_advance`” field. When overloading is enabled, this is equivalent to

    set glyphPositionT [ #xAdvance := value ]

## xOffset

how much the glyph moves on the X-axis before drawing it, this should not affect how much the line advances.

getGlyphPositionTXOffset :: MonadIO m => GlyphPositionT -> m Int32 Source #

Get the value of the “`x_offset`” field. When overloading is enabled, this is equivalent to

    get glyphPositionT #xOffset

setGlyphPositionTXOffset :: MonadIO m => GlyphPositionT -> Int32 -> m () Source #

Set the value of the “`x_offset`” field. When overloading is enabled, this is equivalent to

    set glyphPositionT [ #xOffset := value ]

## yAdvance

how much the line advances after drawing this glyph when setting text in vertical direction.

getGlyphPositionTYAdvance :: MonadIO m => GlyphPositionT -> m Int32 Source #

Get the value of the “`y_advance`” field. When overloading is enabled, this is equivalent to

    get glyphPositionT #yAdvance

setGlyphPositionTYAdvance :: MonadIO m => GlyphPositionT -> Int32 -> m () Source #

Set the value of the “`y_advance`” field. When overloading is enabled, this is equivalent to

    set glyphPositionT [ #yAdvance := value ]

## yOffset

how much the glyph moves on the Y-axis before drawing it, this should not affect how much the line advances.

getGlyphPositionTYOffset :: MonadIO m => GlyphPositionT -> m Int32 Source #

Get the value of the “`y_offset`” field. When overloading is enabled, this is equivalent to

    get glyphPositionT #yOffset

setGlyphPositionTYOffset :: MonadIO m => GlyphPositionT -> Int32 -> m () Source #

Set the value of the “`y_offset`” field. When overloading is enabled, this is equivalent to

    set glyphPositionT [ #yOffset := value ]